POST api/SubscriptionLog

Request Information

URI Parameters

None.

Body Parameters

clsSubscriptionLogDAL
NameDescriptionTypeAdditional information
SubscriptionLogId

globally unique identifier

None.

DealerRegistrationId

globally unique identifier

None.

SubscriptionPlanId

globally unique identifier

None.

Amount

decimal number

None.

SubscriptionDate

date

None.

ExpiryDate

date

None.

Request Formats

application/json, text/json

Sample:
{
  "subscriptionLogId": "9e1b64b7-4a07-45bc-bc9e-b4bb141cfd9b",
  "dealerRegistrationId": "5b607b9d-7d1a-4319-a633-17fbda8ef0c4",
  "subscriptionPlanId": "1450830b-e368-4291-801c-43a66c30ae7a",
  "amount": 4.0,
  "subscriptionDate": "2026-06-10T16:21:27.770251+05:30",
  "expiryDate": "2026-06-10T16:21:27.770251+05:30"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsSubscriptionLogDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.